.my-account > div > div.widget-block
{
    height: auto;
}

.my-account .widget-block footer{
    position: relative;
    padding-top: .8em;
    padding-bottom: 0em;
}
    .my-account footer .button,
    #main__content.widget-create .callback-message footer .button /* specific surcharged */
    {
        width: 90%;
    }

/*
"required fields" message, just under the footer
*/
.my-account p.information {
    position: relative;
    width: 100%;
    text-align: center;
    letter-spacing: .05em;
    font-size: 1.4em;
}


/*
    FORM
*/
.my-account form
{
    margin: 0 auto!important;
    margin-top: 2em!important;
    margin-bottom: 1em!important;
    width: 100%!important;
}
.my-account form .form-fields-wrapper label{
    width: 8.5em;
}

.my-account form .form-fields-wrapper input{
    padding-left: 9.5em;
    font-size: 1.2em;
}


/* it uses an input, so we have some change */
.my-account form .form-fields-wrapper select{
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    opacity: 0;
}


.my-account form .select-field{
    position: relative;
    height: 100%;
}

.my-account form .select-field input{
    overflow:hidden;
    text-overflow:ellipsis;
    white-space:nowrap;
}

.my-account form .select-field:before,
.my-account form .select-field:after{
    position: absolute;
    top: 1em;
    right: .8em;
    width: 0;
    height: 0;
    border-top: .5em solid transparent;
    border-right: .5em solid transparent;
    border-bottom: .5em solid #888;
    border-left: .5em solid transparent;
    content: '';
}

.my-account form .select-field:after{
    top:2.5em; /* height of this triangle*/
    border-top:.5em solid #888; /* height of this triangle*/
    border-bottom:.5em solid transparent;
}


/* error message */
#main__content p.error-message{
    position: absolute;
    top: -1em;
    left: 5%;
    width: 90%;
    color: #e01a35;
}


/*******************************************                                *******************************************
-----------------------------------------------------------------------------------------------------------------------
SPECIFIC RULES
-----------------------------------------------------------------------------------------------------------------------
*********************************************                                ******************************************/
/*---------------------------------------------------------------------------------------------------------------------
                                                    HOME
---------------------------------------------------------------------------------------------------------------------*/
#main__content.widget-home footer p{
    text-align: center;
    background-color: #212121;
}

#main__content.widget-home h4{
    background-color: #303030;
}

#main__content.widget-home .widget-block{
    background-color: transparent;
}

#main__content.widget-home .my-validations{
    margin-top: 0.5em;
}

#main__content.widget-home .my-validations .block_50 {
    width:      50%;
}
#main__content.widget-home .my-validations .block_50 .button {
    width:      95%;
}

/*---------------------------------------------------------------------------------------------------------------------
                                                    LOGIN
---------------------------------------------------------------------------------------------------------------------*/
#main__content.widget-login .widget-block #login-form{
    margin-top: 3em;
    margin-bottom: 3em;
}

.widget-block.widget-login p{
    margin-top: 1em;
    font-size: 1.2em;
}

#main__content.widget-login .widget-block p#widget-login-error{
    top : 4em;
}

/*---------------------------------------------------------------------------------------------------------------------
                                                    CREATE
---------------------------------------------------------------------------------------------------------------------*/

.widget-block.widget-create > p{
    margin: 0 auto;
    margin-bottom: .5em;
    width: 100%;
    text-align: center;
    font-size: 1.3em;
}


/*---------------------------------------------------------------------------------------------------------------------
                                                    ACCOUNT FORGOT PASSWORD
---------------------------------------------------------------------------------------------------------------------*/

#main__content.widget-password-forgot form{
    margin: 2em auto;
    margin-bottom: 2em;
}

/*---------------------------------------------------------------------------------------------------------------------
                                                    CALLBACK MESSAGE
---------------------------------------------------------------------------------------------------------------------*/
/* surcharged rules */
#main__content.widget-create .callback-message p,
#main__content.widget-password-forgot .callback-message p{
    margin-top: 2em;
    text-align: center;
}

#main__content.widget-create .callback-message footer,
#main__content.widget-password-forgot .callback-message footer{
    padding-top: 2em;
}
#main__content.widget-create .callback-message footer .button{
    width: 35%;
}

#main__content.widget-create .callback-message footer .button + .button{
    width: 55%;
}

/*---------------------------------------------------------------------------------------------------------------------
                                                    NEW PASSWORD
---------------------------------------------------------------------------------------------------------------------*/
#main__content.widget-new-password p.help{
    width: auto;
    padding : 0.5em 1.4em;
}

/*---------------------------------------------------------------------------------------------------------------------
                                                    PROFILE INFORMATION
---------------------------------------------------------------------------------------------------------------------*/
#main__content.widget-profile-information .button{
    width: 45%;
}

